Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class ContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.PortalObjectImpl
          org.jboss.portal.core.impl.model.portal.ContextImpl

All Implemented Interfaces:
  java.lang.Comparable, Context, PortalContainer, PortalObject

    public class ContextImpl

extends PortalObjectImpl
implements Context

Version:
  $Revision: 9134 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`ALL_TYPES_MASK, log`

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Constructor Summary
`ContextImpl()`
`ContextImpl(boolean hibernate)`

Method Summary
`protected PortalObjectImpl` | `cloneObject()`
`Portal` | `createPortal(java.lang.String name)` Create a new portal.
`Portal` | `getDefaultPortal()` Returns the default portal.
`Portal` | `getPortal(java.lang.String name)` Return an existing portal or null if such a child does not exist or does not have the right type.
`int` | `getType()` Returns the type of the object which is a value that discriminates the object type.

Methods inherited from class org.jboss.portal.core.impl.model.portal.PortalObjectImpl
`addChild, compareTo, copy, destroy, destroyChild, equals, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDeclaredPropertyMap, getDefaultChild, getDisplayName, getDisplayNames, getId, getKey, getListener, getMask, getMask, getName, getObjectNode, getParent, getProperties, getProperty, hashCode, setDeclaredProperty, setDeclaredPropertyMap, setDisplayName, setDisplayNames, setKey, setListener, setObjectNode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getChildren, getChildren, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### ContextImpl

    public ContextImpl()

### ContextImpl

    public ContextImpl(boolean hibernate)

Method Detail

### getPortal

    public Portal getPortal(java.lang.String name)

  Description copied from interface: `PortalContainer`
  Return an existing portal or null if such a child does not exist or does not have the right type.

  Specified by:
    `getPortal` in interface `PortalContainer`
  Parameters:
    `name` - the portal name
  Returns:
    the specified portal

### createPortal

    public Portal createPortal(java.lang.String name)
                        throws DuplicatePortalObjectException

  Description copied from interface: `PortalContainer`
  Create a new portal.

  Specified by:
    `createPortal` in interface `PortalContainer`
  Parameters:
    `name` - the portal name
  Returns:
    the newly created portal
  Throws:
    `DuplicatePortalObjectException` - if a child with the specified name already exists

### getDefaultPortal

    public Portal getDefaultPortal()

  Description copied from interface: `PortalContainer`
  Returns the default portal.

  Specified by:
    `getDefaultPortal` in interface `PortalContainer`
  Returns:
    the default portal of that container

### getType

    public int getType()

  Description copied from interface: `PortalObject`
  Returns the type of the object which is a value that discriminates the object type.

  Specified by:
    `getType` in interface `PortalObject`
  Specified by:
    `getType` in class `PortalObjectImpl`
  Returns:
    the object type.

### cloneObject

    protected PortalObjectImpl cloneObject()

  Specified by:
    `cloneObject` in class `PortalObjectImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD